
import { App, Controller, Get, Inject } from '@midwayjs/decorator';

import { Application, Context } from '@midwayjs/koa';
// import { ENV_TYPE } from '../const';

import { ssrRender } from '@wcrane/ssr'


@Controller('/')
export class HomeController {
  @App()
  app: Application;
  @Inject()
  ctx: Context
  @Get('/page/*')
  async home(): Promise<string> {

    return await ssrRender(this.app,this.ctx);
  }
}
